#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.10
visibility:           public
id:                   foldl-1.4.10-G5SIkXvQ8lS8gCoGrwByXm
key:                  foldl-1.4.10-G5SIkXvQ8lS8gCoGrwByXm
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  3d32fe11018197e6b53f71dee4071258
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.3/site-local/foldl-1.4.10
library-dirs:         /usr/lib/ghc-8.10.3/site-local/foldl-1.4.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/foldl-1.4.10
hs-libraries:         HSfoldl-1.4.10-G5SIkXvQ8lS8gCoGrwByXm
depends:
    base-4.14.1.0 bytestring-0.10.12.0
    comonad-5.0.8-64ry7lhctUr3wgVj0rT3CB containers-0.6.2.1
    contravariant-1.5.3-7koBfVZf7s8G3BlROnwJJd
    hashable-1.3.0.0-AuOWFkmW3BKQo2eaHHrrX
    mwc-random-0.15.0.1-4nFuyyN0RyT33Jf3fE4UR2
    primitive-0.7.1.0-BHpZg3vE1Nw1UsvUowjTgm
    profunctors-5.6.1-DcxHe2vyzV5EXzvrOvR9vI
    semigroupoids-5.3.5-TUHEuvNPIbDvjWzovoeow text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-23W4q6NjyfvEwgc8XDyWoD
    vector-0.12.1.2-2wQfnsplnY91earGv9FMCk

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

